Subject: LRO: RE: Series Driver Height. Was: Dodge front ends

From: [email-masked]
Date: Thu, 5 Jul 2001 14:16:40 EDT

On Wed, 04 Jul 2001, Peter Ogilvie <[email-masked]> wrote:

<< I knew there was a reason I liked the Series Rovers. Always wondered how
the pituitary freaks could drive a series. Though, at 5'7", I'm at the
upper size range to be comfortable and see out. Must be interesting for
anyone much over my height to see stop lights or the tail lights on other
SUV's. Those Rover designers sure didn't waste useless volume. >>

Fourty five years ago when the Series Land Rovers were designed, the
average height of an Englishman was several inches shorter than today.

My recollection from visits to the UK was that Brits are shorter than
Americans. Of course, easterners in this country seem shorter than
westerners. This probably has a lot to do with diet and living conditions.

Does anybody on this list have access to hard facts?
Is there an ergonomist in the house?

Paul Donohue  6' (183cm)
1965 Land Rover 109
Denver